import { CancelEventArgs as CancelEventArgs_internal } from "./CancelEventArgs";
export declare class CancelEventArgs {
    protected createImplementation(): CancelEventArgs_internal;
    protected _implementation: any;
    /**
     * @hidden
     */
    get i(): CancelEventArgs_internal;
    private onImplementationCreated;
    constructor();
    protected _provideImplementation(i: any): void;
    get cancel(): boolean;
    set cancel(v: boolean);
}
